# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License version 3, as 
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst.actions import *


def assert_page():
    _assert_page_title()
    _assert_page_heading1()
    _assert_page_headings2()


def _assert_page_title():
    assert_title('Log in')


def _assert_page_heading1():
    assert_element(tag='h1', text='Ubuntu Single Sign On')


def _assert_page_headings2():
    # TODO define the right heading. Some times it says sign in, some times
    # it says Log in to Ubuntu Single Sign On.
    #assert_element(tag='h2', text='Sign in')
    assert_element(tag='h2', text='Are you new?')


def log_in(user=None):
    if user:
        wait_for(assert_title, 'Log in')
        _fill_log_in_form(user.email, user.password)
        _click_continue_button()
    else:
        # If no user is passed as parameter, the user has already started
        # session on the identity provider and it's not necessary to enter
        # the credentials again.
        pass


def _fill_log_in_form(email, password):
    write_textfield('id_email', email)
    write_textfield('id_password', password)


def _click_continue_button():
    click_button(_get_continue_button())


def _get_continue_button():
    return get_element(css_class='btn', name='continue')


def click_create_new_account():
    click_link(_get_new_account_link())


def _get_new_account_link():
    return get_element(href='+new_account')
