# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License version 3, as 
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from sst.actions import *


def is_site_not_recognized():
    return _is_decide_form_present()


def _is_decide_form_present():
    return exists_element(name='decideform')


def make_all_information_available_to_website():
    information_checkboxes = _get_information_checkboxes()
    for checkbox in information_checkboxes:
        set_checkbox_value(checkbox, True)


def _get_information_checkboxes():
    return get_elements_by_css('form[name="decideform"] > .info-items > '
        '.list > li > input[type="checkbox"]')


def yes_sign_me_in():
    click_button(_get_sign_me_in_button())


def _get_sign_me_in_button():
    return get_element(css_class='btn', name='yes')


def cancel():
    click_link(_get_cancel_link())


def _get_cancel_link():
    return get_element(tag='a', text='cancel')
