# -*- coding: utf-8 -*-

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License version 3, as 
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

import uuid

from django.conf import settings

from data.user import User


def make_test_user(new_user=False):
    test_user = None
    if new_user:
        test_user =_make_random_test_user_from_configuration()
    else:
        test_user = _make_test_user_from_configuration()
    return test_user


def _make_random_test_user_from_configuration():
    random_user_uuid = str(uuid.uuid1())
    full_name = 'Test user ' + random_user_uuid
    email_address = settings.EMAIL_ADDRESS_PATTERN % random_user_uuid
    password = settings.SSO_TEST_ACCOUNT_PASSWORD
    return User(full_name, email_address, password)


def _make_test_user_from_configuration():
    full_name = settings.SSO_TEST_ACCOUNT_FULL_NAME
    email_address = settings.SSO_TEST_ACCOUNT_EMAIL
    password = settings.SSO_TEST_ACCOUNT_PASSWORD
    return User(full_name, email_address, password)
